local entity = import '../lib/entity.libsonnet';

entity
{
  '$id': 'https://picc.app/schemata/v0.1-dev/locations/building',
  title: 'Building',
  description: |||
    A building
  |||,

  properties+: {
    rooms: {
      type: 'array',
      description: 'Rooms contained in this building.',
      items: {
        oneOf: [
          {
            '$ref': 'https://picc.app/schemata/v0.1-dev/room',
          },
          $.properties.id,
        ],
      },
    },
    relationships: {
      type: 'array',
      description: 'Relationships that bind other entities to this room.',
      items: {
        oneOf: [
          {
            '$ref': 'https://picc.app/schemata/v0.1-dev/relationship',
          },
          $.properties.id,
        ],
      },
    },
  },
}
