local entity = import '../lib/entity.libsonnet';

entity
{
  '$id': 'https://picc.app/schemata/v0.1-dev/locations/room',
  title: 'Room',
  description: |||
    A room
  |||,

  properties+: {
    relationships: {
      type: 'array',
      description: 'Relationships that bind other entities to this room.',
      items: {
        oneOf: [
          {
            '$ref': 'https://picc.app/schemata/v0.1-dev/relationship',
          },
          $.properties.id,
        ],
      },
    },
  },
}
