local entity = import '../lib/entity.libsonnet';

entity
{
  '$id': 'https://picc.app/schemata/v0.1-dev/locations/site',
  title: 'Site',
  description: |||
    A site
  |||,

  properties+: {
    buildings: {
      type: 'array',
      description: 'Buildings at this site.',
      items: {
        oneOf: [
          {
            '$ref': 'https://picc.app/schemata/v0.1-dev/building',
          },
          $.properties.id,
        ],
      },
    },
    relationships: {
      type: 'array',
      description: 'Relationships that bind other entities to this room.',
      items: {
        oneOf: [
          {
            '$ref': 'https://picc.app/schemata/v0.1-dev/relationship',
          },
          $.properties.id,
        ],
      },
    },
  },
}
