local entity = import '../lib/entity.libsonnet';

entity
{
  '$id': 'https://picc.app/schemata/v0.1-dev/relationship',
  title: 'Relationship',
  description: 'Describes a relationship between two entities.',

  properties+: {
    module: {
      type: 'string',
      description: 'Module name of the relationship.',
    },
    entities: {
      type: 'array',
      description: 'Entities invloved in the relationship.',
      items:
        $.properties.id,

    },
    arg: {
      description: 'Additional arguments. Can be any JSON type.',
    },
  },
  required+: [
    'module',
    'entities',
  ],
}
